package edu.byu.cs.fragmentexample.ui;

import android.content.Intent;
import android.os.Bundle;
import androidx.appcompat.app.AppCompatActivity;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import edu.byu.cs.fragmentexample.R;
import edu.byu.cs.fragmentexample.model.Order;

public class MainActivity extends AppCompatActivity {

    private final int REQ_CODE_ORDER_INFO = 1;

    private TextView orderInfoTextView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button button = findViewById(R.id.button);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                onButtonClicked();
            }
        });

        orderInfoTextView = findViewById(R.id.orderInfoDisplay);
    }

    private void onButtonClicked() {
        Intent intent = new Intent(this, OrderInfoActivity.class);
        startActivityForResult(intent, REQ_CODE_ORDER_INFO);
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);

        if (requestCode == REQ_CODE_ORDER_INFO && resultCode == RESULT_OK && data != null) {
            Order order = (Order) data.getSerializableExtra(OrderInfoActivity.EXTRA_RESULT);
            orderInfoTextView.setText(order.toString());
        }
    }
}
